VisualEditor: When window is narrowed, article title can display over the top of the toolbar
Closed, ResolvedPublic

Description

From English Wikipedia:

I've noticed in several articles today that the article title has displayed, in VE, on top of the lower border of the editing header bar. I've not noticed it before. I prefer to edit in a window less wide than my laptop screen, as reading long lines of text is a pain.

On investigation: if I reduce the editing window to the point where the Question mark in a circle to the left of BETA is underneath the greyed-out "Decrease paragraph indentation" icon, there's a critical point where reducing the window width a little more moves that Question-mark back slightly to the right and jumps the article title up to display on top of the lower border of the editing bar.

And a second problem: if I reduce the width even more, then the article title is displayed in a very narrow column. Look at Sengattuppatti, reduce the width, and at a point where the lines of text are still perfectly workable (perhaps you're working from a text open in another window on the screen), the article title is reduced to the extent of losing letters. Reduce the window so that "Tiruchirapalli" is the first word of second line (that's about 50% of my screen width, and a likely width for consulting a source document on screen beside the WP page I'm working on), and note that the article title now displays minus its last four letters. Not wrapped, just disappeared. Ugly. In multi-word articles, it displays as a column but again truncates long words - try Thomas Lumley-Saunderson, 3rd Earl of Scarbrough.

I'm using Firefox 22 on Vista. PamD 10:18, 22 July 2013 (UTC)

She adds that the original screenshots (truncated to hide non-free elements) demonstrate that her windows were not unreasonably narrow and that she "might well want to have two 50% width windows, one for the source and one for my article."

See images:
*http://en.wikipedia.org/wiki/File:Screenshot_of_title_overlapping_border.jpg

*http://en.wikipedia.org/wiki/File:Screenshot_of_truncated_title_word_in_narrow_window.jpg

Original thread here:
http://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&oldid=565350848#Article_title_overlaps_header_bar_in_slightly_narrow_edit_window.3B_article_title_letters_lost_in_narrower_window


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52187
https://bugzilla.wikimedia.org/show_bug.cgi?id=51867

bzimport added a project: VisualEditor-MediaWiki.Via ConduitNov 22 2014, 1:59 AM
bzimport set Reference to bz51820.
Mdennis-WMF created this task.Via LegacyJul 22 2013, 4:42 PM
Thryduulf added a comment.Via ConduitJul 22 2013, 4:54 PM

Note I've been unable to reproduce this using Firefox 22 on Linux, so it might be OS-specific.

PamD added a comment.Via ConduitJul 22 2013, 7:02 PM

Though I spent a lot of time reporting these, both these are cases of the system behaving oddly rather than things which seriously affect editing. I reported them more in the sense of "The system is doing these odd things which I'm telling you about in case it's symptomatic of something significant you should know about" rather than "Please fix them now".

The first, that the title appears superimposed on the lower border of the editing toolbar area, is ugly, mildly disconcerting, and occurs at a very reasonable window width - I wasn't experimenting, just editing naturally this morning, when I found it happening. It's odd-looking, but does no serious harm.

The second, that the title only displays in a column much narrower than the width of the displayed text, and that long title words are truncated at a certain point, only occurs on quite narrow windows but looks very odd when it does happen. It's not going to seriously hamper anyone's editing.

I wouldn't like any effort to go into these bugs which could be used to address really important things like the {{Bug|49603}} on the invisibility of hidden comments and templates, or {{Bug|49969}} on dialog boxes hiding all article content: now those really do seriously affect editing.

Jdforrester-WMF added a comment.Via ConduitMar 10 2014, 6:59 PM

This was fixed by Trevor in January.

Jdforrester-WMF added a comment.Via ConduitMar 11 2014, 2:11 AM
  • Bug 58933 has been marked as a duplicate of this bug. ***
PamD added a comment.Via ConduitMar 11 2014, 8:57 AM

Thanks - as the editor who reported this bug in the first place. I didn't notice it had been fixed because AFAIK there was no report to say so, and I'm not using VE regularly until some other issues have been fixed to make it usable. (Glad to notice that there's some action on redlinks, but the dialog box hiding all article content is still the dealbreaker for me).

Add Comment